Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.datagen
Interface DatagenPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

    public interface DatagenPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Modellazione dello strato di accesso ai dati

See Also:
  `DatagenFactory`

Nested Class Summary
`static interface` | `DatagenPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` | `CACHEABILITY_TYPES` The meta object id for the '`Cacheability Types`' enum
`static int` | `CUSTOM_DELETER` The meta object id for the '`Custom Deleter`' class
`static int` | `CUSTOM_DELETER__FILTER_CLASS_FQN` The feature id for the 'Filter Class FQN' attribute
`static int` | `CUSTOM_DELETER__NAME` The feature id for the 'Name' attribute
`static int` | `CUSTOM_DELETER_FEATURE_COUNT` The number of structural features of the 'Custom Deleter' class
`static int` | `CUSTOM_FINDER` The meta object id for the '`Custom Finder`' class
`static int` | `CUSTOM_FINDER__CUSTOM_FROM` The feature id for the 'Custom From' attribute
`static int` | `CUSTOM_FINDER__CUSTOM_SELECT` The feature id for the 'Custom Select' attribute
`static int` | `CUSTOM_FINDER__DISTINCT` The feature id for the 'Distinct' reference list
`static int` | `CUSTOM_FINDER__FILTER_CLASS_FQN` The feature id for the 'Filter Class FQN' attribute
`static int` | `CUSTOM_FINDER__NAME` The feature id for the 'Name' attribute
`static int` | `CUSTOM_FINDER__ORDER_SPECS` The feature id for the 'Order Specs' containment reference
`static int` | `CUSTOM_FINDER__QUERY_DEFINITION` The feature id for the 'Query Definition' containment reference
`static int` | `CUSTOM_FINDER_FEATURE_COUNT` The number of structural features of the 'Custom Finder' class
`static int` | `CUSTOM_UPDATER` The meta object id for the '`Custom Updater`' class
`static int` | `CUSTOM_UPDATER__FILTER_CLASS_FQN` The feature id for the 'Filter Class FQN' attribute
`static int` | `CUSTOM_UPDATER__NAME` The feature id for the 'Name' attribute
`static int` | `CUSTOM_UPDATER__VALUE_CLASS_FQN` The feature id for the 'Value Class FQN' attribute
`static int` | `CUSTOM_UPDATER_FEATURE_COUNT` The number of structural features of the 'Custom Updater' class
`static int` | `DAO_PACKAGE` The meta object id for the '`Dao Package`' class
`static int` | `DAO_PACKAGE__DAO` The feature id for the 'Dao' containment reference list
`static int` | `DAO_PACKAGE__NAME` The feature id for the 'Name' attribute
`static int` | `DAO_PACKAGE_FEATURE_COUNT` The number of structural features of the 'Dao Package' class
`static int` | `DATA_ACCESS_OBJECT` The meta object id for the '`Data Access Object`' class
`static int` | `DATA_ACCESS_OBJECT__CACHE_TT_LMINUTES` The feature id for the 'Cache TT Lminutes' attribute
`static int` | `DATA_ACCESS_OBJECT__CACHEABILITY` The feature id for the 'Cacheability' attribute
`static int` | `DATA_ACCESS_OBJECT__DELETERS` The feature id for the 'Deleters' containment reference
`static int` | `DATA_ACCESS_OBJECT__FINDERS` The feature id for the 'Finders' containment reference
`static int` | `DATA_ACCESS_OBJECT__INSERTER` The feature id for the 'Inserter' containment reference
`static int` | `DATA_ACCESS_OBJECT__LOOKUP_RESOLVERS` The feature id for the 'Lookup Resolvers' containment reference
`static int` | `DATA_ACCESS_OBJECT__MAIN_TABLE` The feature id for the 'Main Table' reference
`static int` | `DATA_ACCESS_OBJECT__NAME` The feature id for the 'Name' attribute
`static int` | `DATA_ACCESS_OBJECT__PK_GENERATOR` The feature id for the 'Pk Generator' containment reference
`static int` | `DATA_ACCESS_OBJECT__UPDATERS` The feature id for the 'Updaters' containment reference
`static int` | `DATA_ACCESS_OBJECT_FEATURE_COUNT` The number of structural features of the 'Data Access Object' class
`static int` | `DB_ACCESS_MODEL` The meta object id for the '`DB Access Model`' class
`static int` | `DB_ACCESS_MODEL__COD_COMPONENTE` The feature id for the 'Cod Componente' attribute
`static int` | `DB_ACCESS_MODEL__COD_PRODOTTO` The feature id for the 'Cod Prodotto' attribute
`static int` | `DB_ACCESS_MODEL__DAOPKGS` The feature id for the 'Daopkgs' containment reference list
`static int` | `DB_ACCESS_MODEL__NAME` The feature id for the 'Name' attribute
`static int` | `DB_ACCESS_MODEL__SCHEMA` The feature id for the 'Schema' reference
`static int` | `DB_ACCESS_MODEL_FEATURE_COUNT` The number of structural features of the 'DB Access Model' class
`static int` | `DB_COMMAND` The meta object id for the '`DB Command`' class
`static int` | `DB_COMMAND__NAME` The feature id for the 'Name' attribute
`static int` | `DB_COMMAND_FEATURE_COUNT` The number of structural features of the 'DB Command' class
`static int` | `DELETE_BY_PK` The meta object id for the '`Delete By PK`' class
`static int` | `DELETE_BY_PK__NAME` The feature id for the 'Name' attribute
`static int` | `DELETE_BY_PK_FEATURE_COUNT` The number of structural features of the 'Delete By PK' class
`static int` | `DELETER` The meta object id for the '`Deleter`' class
`static int` | `DELETER__NAME` The feature id for the 'Name' attribute
`static int` | `DELETER_FEATURE_COUNT` The number of structural features of the 'Deleter' class
`static int` | `DELETERS` The meta object id for the '`Deleters`' class
`static int` | `DELETERS__DELETERS` The feature id for the 'Deleters' containment reference list
`static int` | `DELETERS_FEATURE_COUNT` The number of structural features of the 'Deleters' class
`static DatagenPackage` | `eINSTANCE` The singleton instance of the package
`static java.lang.String` | `eNAME` The package name
`static java.lang.String` | `eNS_PREFIX` The package namespace name
`static java.lang.String` | `eNS_URI` The package namespace URI
`static int` | `FIND_ALL` The meta object id for the '`Find All`' class
`static int` | `FIND_ALL__DISTINCT` The feature id for the 'Distinct' reference list
`static int` | `FIND_ALL__NAME` The feature id for the 'Name' attribute
`static int` | `FIND_ALL__ORDER_SPECS` The feature id for the 'Order Specs' containment reference
`static int` | `FIND_ALL_FEATURE_COUNT` The number of structural features of the 'Find All' class
`static int` | `FIND_BY_PK` The meta object id for the '`Find By PK`' class
`static int` | `FIND_BY_PK__NAME` The feature id for the 'Name' attribute
`static int` | `FIND_BY_PK_FEATURE_COUNT` The number of structural features of the 'Find By PK' class
`static int` | `FINDER` The meta object id for the '`Finder`' class
`static int` | `FINDER__NAME` The feature id for the 'Name' attribute
`static int` | `FINDER_FEATURE_COUNT` The number of structural features of the 'Finder' class
`static int` | `FINDERS` The meta object id for the '`Finders`' class
`static int` | `FINDERS__FINDERS` The feature id for the 'Finders' containment reference list
`static int` | `FINDERS_FEATURE_COUNT` The number of structural features of the 'Finders' class
`static int` | `FROM_CLAUSE` The meta object id for the '`From Clause`' class
`static int` | `FROM_CLAUSE__TABLES` The feature id for the 'Tables' containment reference list
`static int` | `FROM_CLAUSE_FEATURE_COUNT` The number of structural features of the 'From Clause' class
`static int` | `INSERTER` The meta object id for the '`Inserter`' class
`static int` | `INSERTER__NAME` The feature id for the 'Name' attribute
`static int` | `INSERTER_FEATURE_COUNT` The number of structural features of the 'Inserter' class
`static int` | `JOIN_CLAUSE` The meta object id for the '`Join Clause`' class
`static int` | `JOIN_CLAUSE__CRITERIA` The feature id for the 'Criteria' containment reference list
`static int` | `JOIN_CLAUSE_FEATURE_COUNT` The number of structural features of the 'Join Clause' class
`static int` | `JOIN_CRITERION` The meta object id for the '`Join Criterion`' class
`static int` | `JOIN_CRITERION__LEFT_COLUMN` The feature id for the 'Left Column' reference
`static int` | `JOIN_CRITERION__LEFT_TABLE` The feature id for the 'Left Table' reference
`static int` | `JOIN_CRITERION__RIGHT_COLUMN` The feature id for the 'Right Column' reference
`static int` | `JOIN_CRITERION__RIGHT_TABLE` The feature id for the 'Right Table' reference
`static int` | `JOIN_CRITERION_FEATURE_COUNT` The number of structural features of the 'Join Criterion' class
`static int` | `LOOKUP_RESOLVER` The meta object id for the '`Lookup Resolver`' class
`static int` | `LOOKUP_RESOLVER__FOREIGN_KEY` The feature id for the 'Foreign Key' reference
`static int` | `LOOKUP_RESOLVER__NAME` The feature id for the 'Name' attribute
`static int` | `LOOKUP_RESOLVER__SUPPLIER_DAO` The feature id for the 'Supplier DAO' reference
`static int` | `LOOKUP_RESOLVER_FEATURE_COUNT` The number of structural features of the 'Lookup Resolver' class
`static int` | `LOOKUP_RESOLVERS` The meta object id for the '`Lookup Resolvers`' class
`static int` | `LOOKUP_RESOLVERS__RESOLVERS` The feature id for the 'Resolvers' containment reference list
`static int` | `LOOKUP_RESOLVERS_FEATURE_COUNT` The number of structural features of the 'Lookup Resolvers' class
`static int` | `MULTI_RES_FINDER` The meta object id for the '`Multi Res Finder`' class
`static int` | `MULTI_RES_FINDER__DISTINCT` The feature id for the 'Distinct' reference list
`static int` | `MULTI_RES_FINDER__NAME` The feature id for the 'Name' attribute
`static int` | `MULTI_RES_FINDER__ORDER_SPECS` The feature id for the 'Order Specs' containment reference
`static int` | `MULTI_RES_FINDER_FEATURE_COUNT` The number of structural features of the 'Multi Res Finder' class
`static int` | `ORDER_SPEC` The meta object id for the '`Order Spec`' class
`static int` | `ORDER_SPEC__ASCENDING` The feature id for the 'Ascending' attribute
`static int` | `ORDER_SPEC__COLUMN` The feature id for the 'Column' reference
`static int` | `ORDER_SPEC__QCOLUMN` The feature id for the 'Qcolumn' reference
`static int` | `ORDER_SPEC_FEATURE_COUNT` The number of structural features of the 'Order Spec' class
`static int` | `ORDER_SPECS` The meta object id for the '`Order Specs`' class
`static int` | `ORDER_SPECS__SPECS` The feature id for the 'Specs' containment reference list
`static int` | `ORDER_SPECS_FEATURE_COUNT` The number of structural features of the 'Order Specs' class
`static int` | `PK_GENERATOR` The meta object id for the '`PK Generator`' class
`static int` | `PK_GENERATOR_FEATURE_COUNT` The number of structural features of the 'PK Generator' class
`static int` | `QBE_FINDER` The meta object id for the '`QBE Finder`' class
`static int` | `QBE_FINDER__DISTINCT` The feature id for the 'Distinct' reference list
`static int` | `QBE_FINDER__NAME` The feature id for the 'Name' attribute
`static int` | `QBE_FINDER__ORDER_SPECS` The feature id for the 'Order Specs' containment reference
`static int` | `QBE_FINDER_FEATURE_COUNT` The number of structural features of the 'QBE Finder' class
`static int` | `QCALCULATED_COLUMN` The meta object id for the '`QCalculated Column`' class
`static int` | `QCALCULATED_COLUMN__ALIAS` The feature id for the 'Alias' attribute
`static int` | `QCALCULATED_COLUMN__CALCULATED_TYPE` The feature id for the 'Calculated Type' containment reference
`static int` | `QCALCULATED_COLUMN__FREE_TEXT_EXPRESSION` The feature id for the 'Free Text Expression' attribute
`static int` | `QCALCULATED_COLUMN__REFERENCED_COLUMNS` The feature id for the 'Referenced Columns' containment reference list
`static int` | `QCALCULATED_COLUMN_FEATURE_COUNT` The number of structural features of the 'QCalculated Column' class
`static int` | `QRESULT_COLUMN` The meta object id for the '`QResult Column`' class
`static int` | `QRESULT_COLUMN__ALIAS` The feature id for the 'Alias' attribute
`static int` | `QRESULT_COLUMN_FEATURE_COUNT` The number of structural features of the 'QResult Column' class
`static int` | `QTABLE` The meta object id for the '`QTable`' class
`static int` | `QTABLE__ALIAS_NAME` The feature id for the 'Alias Name' attribute
`static int` | `QTABLE__TABLE` The feature id for the 'Table' reference
`static int` | `QTABLE_COLUMN` The meta object id for the '`QTable Column`' class
`static int` | `QTABLE_COLUMN__ALIAS` The feature id for the 'Alias' attribute
`static int` | `QTABLE_COLUMN__COLUMN` The feature id for the 'Column' reference
`static int` | `QTABLE_COLUMN__QTABLE` The feature id for the 'Qtable' reference
`static int` | `QTABLE_COLUMN_FEATURE_COUNT` The number of structural features of the 'QTable Column' class
`static int` | `QTABLE_FEATURE_COUNT` The number of structural features of the 'QTable' class
`static int` | `QUERY_DEF` The meta object id for the '`Query Def`' class
`static int` | `QUERY_DEF__FROM_CLAUSE` The feature id for the 'From Clause' containment reference
`static int` | `QUERY_DEF__JOIN_CLAUSE` The feature id for the 'Join Clause' containment reference
`static int` | `QUERY_DEF__SELECT_CLAUSE` The feature id for the 'Select Clause' containment reference
`static int` | `QUERY_DEF__WHERE_CLAUSE` The feature id for the 'Where Clause' containment reference
`static int` | `QUERY_DEF_FEATURE_COUNT` The number of structural features of the 'Query Def' class
`static int` | `SELECT_CLAUSE` The meta object id for the '`Select Clause`' class
`static int` | `SELECT_CLAUSE__COLUMNS` The feature id for the 'Columns' containment reference list
`static int` | `SELECT_CLAUSE_FEATURE_COUNT` The number of structural features of the 'Select Clause' class
`static int` | `SEQUENCE_PK_GENERATOR` The meta object id for the '`Sequence PK Generator`' class
`static int` | `SEQUENCE_PK_GENERATOR__SEQUENCE_NAME` The feature id for the 'Sequence Name' attribute
`static int` | `SEQUENCE_PK_GENERATOR_FEATURE_COUNT` The number of structural features of the 'Sequence PK Generator' class
`static int` | `SINGLE_RES_FINDER` The meta object id for the '`Single Res Finder`' class
`static int` | `SINGLE_RES_FINDER__NAME` The feature id for the 'Name' attribute
`static int` | `SINGLE_RES_FINDER_FEATURE_COUNT` The number of structural features of the 'Single Res Finder' class
`static int` | `UPDATE_COLUMNS` The meta object id for the '`Update Columns`' class
`static int` | `UPDATE_COLUMNS__COLUMNS` The feature id for the 'Columns' reference list
`static int` | `UPDATE_COLUMNS__NAME` The feature id for the 'Name' attribute
`static int` | `UPDATE_COLUMNS_FEATURE_COUNT` The number of structural features of the 'Update Columns' class
`static int` | `UPDATE_ROW` The meta object id for the '`Update Row`' class
`static int` | `UPDATE_ROW__NAME` The feature id for the 'Name' attribute
`static int` | `UPDATE_ROW_FEATURE_COUNT` The number of structural features of the 'Update Row' class
`static int` | `UPDATER` The meta object id for the '`Updater`' class
`static int` | `UPDATER__NAME` The feature id for the 'Name' attribute
`static int` | `UPDATER_FEATURE_COUNT` The number of structural features of the 'Updater' class
`static int` | `UPDATERS` The meta object id for the '`Updaters`' class
`static int` | `UPDATERS__UPDATERS` The feature id for the 'Updaters' containment reference list
`static int` | `UPDATERS_FEATURE_COUNT` The number of structural features of the 'Updaters' class
`static int` | `WHERE_CLAUSE` The meta object id for the '`Where Clause`' class
`static int` | `WHERE_CLAUSE__FREETEXT_EXPRESSION` The feature id for the 'Freetext Expression' attribute
`static int` | `WHERE_CLAUSE_FEATURE_COUNT` The number of structural features of the 'Where Clause' class

Method Summary
`org.eclipse.emf.ecore.EEnum` | `getCacheabilityTypes()` Returns the meta object for enum '`Cacheability Types`'
`org.eclipse.emf.ecore.EAttribute` | `getCustomDeleter_FilterClassFQN()` Returns the meta object for the attribute '`Filter Class FQN`'
`org.eclipse.emf.ecore.EClass` | `getCustomDeleter()` Returns the meta object for class '`Custom Deleter`'
`org.eclipse.emf.ecore.EAttribute` | `getCustomFinder_CustomFrom()` Returns the meta object for the attribute '`Custom From`'
`org.eclipse.emf.ecore.EAttribute` | `getCustomFinder_CustomSelect()` Returns the meta object for the attribute '`Custom Select`'
`org.eclipse.emf.ecore.EAttribute` | `getCustomFinder_FilterClassFQN()` Returns the meta object for the attribute '`Filter Class FQN`'
`org.eclipse.emf.ecore.EReference` | `getCustomFinder_QueryDefinition()` Returns the meta object for the containment reference '`Query Definition`'
`org.eclipse.emf.ecore.EClass` | `getCustomFinder()` Returns the meta object for class '`Custom Finder`'
`org.eclipse.emf.ecore.EAttribute` | `getCustomUpdater_FilterClassFQN()` Returns the meta object for the attribute '`Filter Class FQN`'
`org.eclipse.emf.ecore.EAttribute` | `getCustomUpdater_ValueClassFQN()` Returns the meta object for the attribute '`Value Class FQN`'
`org.eclipse.emf.ecore.EClass` | `getCustomUpdater()` Returns the meta object for class '`Custom Updater`'
`org.eclipse.emf.ecore.EReference` | `getDaoPackage_Dao()` Returns the meta object for the containment reference list '`Dao`'
`org.eclipse.emf.ecore.EAttribute` | `getDaoPackage_Name()` Returns the meta object for the attribute '`Name`'
`org.eclipse.emf.ecore.EClass` | `getDaoPackage()` Returns the meta object for class '`Dao Package`'
`org.eclipse.emf.ecore.EAttribute` | `getDataAccessObject_Cacheability()` Returns the meta object for the attribute '`Cacheability`'
`org.eclipse.emf.ecore.EAttribute` | `getDataAccessObject_CacheTTLminutes()` Returns the meta object for the attribute '`Cache TT Lminutes`'
`org.eclipse.emf.ecore.EReference` | `getDataAccessObject_Deleters()` Returns the meta object for the containment reference '`Deleters`'
`org.eclipse.emf.ecore.EReference` | `getDataAccessObject_Finders()` Returns the meta object for the containment reference '`Finders`'
`org.eclipse.emf.ecore.EReference` | `getDataAccessObject_Inserter()` Returns the meta object for the containment reference '`Inserter`'
`org.eclipse.emf.ecore.EReference` | `getDataAccessObject_LookupResolvers()` Returns the meta object for the containment reference '`Lookup Resolvers`'
`org.eclipse.emf.ecore.EReference` | `getDataAccessObject_MainTable()` Returns the meta object for the reference '`Main Table`'
`org.eclipse.emf.ecore.EAttribute` | `getDataAccessObject_Name()` Returns the meta object for the attribute '`Name`'
`org.eclipse.emf.ecore.EReference` | `getDataAccessObject_PkGenerator()` Returns the meta object for the containment reference '`Pk Generator`'
`org.eclipse.emf.ecore.EReference` | `getDataAccessObject_Updaters()` Returns the meta object for the containment reference '`Updaters`'
`org.eclipse.emf.ecore.EClass` | `getDataAccessObject()` Returns the meta object for class '`Data Access Object`'
`DatagenFactory` | `getDatagenFactory()` Returns the factory that creates the instances of the model
`org.eclipse.emf.ecore.EAttribute` | `getDBAccessModel_CodComponente()` Returns the meta object for the attribute '`Cod Componente`'
`org.eclipse.emf.ecore.EAttribute` | `getDBAccessModel_CodProdotto()` Returns the meta object for the attribute '`Cod Prodotto`'
`org.eclipse.emf.ecore.EReference` | `getDBAccessModel_Daopkgs()` Returns the meta object for the containment reference list '`Daopkgs`'
`org.eclipse.emf.ecore.EAttribute` | `getDBAccessModel_Name()` Returns the meta object for the attribute '`Name`'
`org.eclipse.emf.ecore.EReference` | `getDBAccessModel_Schema()` Returns the meta object for the reference '`Schema`'
`org.eclipse.emf.ecore.EClass` | `getDBAccessModel()` Returns the meta object for class '`DB Access Model`'
`org.eclipse.emf.ecore.EAttribute` | `getDBCommand_Name()` Returns the meta object for the attribute '`Name`'
`org.eclipse.emf.ecore.EClass` | `getDBCommand()` Returns the meta object for class '`DB Command`'
`org.eclipse.emf.ecore.EClass` | `getDeleteByPK()` Returns the meta object for class '`Delete By PK`'
`org.eclipse.emf.ecore.EClass` | `getDeleter()` Returns the meta object for class '`Deleter`'
`org.eclipse.emf.ecore.EReference` | `getDeleters_Deleters()` Returns the meta object for the containment reference list '`Deleters`'
`org.eclipse.emf.ecore.EClass` | `getDeleters()` Returns the meta object for class '`Deleters`'
`org.eclipse.emf.ecore.EClass` | `getFindAll()` Returns the meta object for class '`Find All`'
`org.eclipse.emf.ecore.EClass` | `getFindByPK()` Returns the meta object for class '`Find By PK`'
`org.eclipse.emf.ecore.EClass` | `getFinder()` Returns the meta object for class '`Finder`'
`org.eclipse.emf.ecore.EReference` | `getFinders_Finders()` Returns the meta object for the containment reference list '`Finders`'
`org.eclipse.emf.ecore.EClass` | `getFinders()` Returns the meta object for class '`Finders`'
`org.eclipse.emf.ecore.EReference` | `getFromClause_Tables()` Returns the meta object for the containment reference list '`Tables`'
`org.eclipse.emf.ecore.EClass` | `getFromClause()` Returns the meta object for class '`From Clause`'
`org.eclipse.emf.ecore.EClass` | `getInserter()` Returns the meta object for class '`Inserter`'
`org.eclipse.emf.ecore.EReference` | `getJoinClause_Criteria()` Returns the meta object for the containment reference list '`Criteria`'
`org.eclipse.emf.ecore.EClass` | `getJoinClause()` Returns the meta object for class '`Join Clause`'
`org.eclipse.emf.ecore.EReference` | `getJoinCriterion_LeftColumn()` Returns the meta object for the reference '`Left Column`'
`org.eclipse.emf.ecore.EReference` | `getJoinCriterion_LeftTable()` Returns the meta object for the reference '`Left Table`'
`org.eclipse.emf.ecore.EReference` | `getJoinCriterion_RightColumn()` Returns the meta object for the reference '`Right Column`'
`org.eclipse.emf.ecore.EReference` | `getJoinCriterion_RightTable()` Returns the meta object for the reference '`Right Table`'
`org.eclipse.emf.ecore.EClass` | `getJoinCriterion()` Returns the meta object for class '`Join Criterion`'
`org.eclipse.emf.ecore.EReference` | `getLookupResolver_ForeignKey()` Returns the meta object for the reference '`Foreign Key`'
`org.eclipse.emf.ecore.EAttribute` | `getLookupResolver_Name()` Returns the meta object for the attribute '`Name`'
`org.eclipse.emf.ecore.EReference` | `getLookupResolver_SupplierDAO()` Returns the meta object for the reference '`Supplier DAO`'
`org.eclipse.emf.ecore.EClass` | `getLookupResolver()` Returns the meta object for class '`Lookup Resolver`'
`org.eclipse.emf.ecore.EReference` | `getLookupResolvers_Resolvers()` Returns the meta object for the containment reference list '`Resolvers`'
`org.eclipse.emf.ecore.EClass` | `getLookupResolvers()` Returns the meta object for class '`Lookup Resolvers`'
`org.eclipse.emf.ecore.EReference` | `getMultiResFinder_Distinct()` Returns the meta object for the reference list '`Distinct`'
`org.eclipse.emf.ecore.EReference` | `getMultiResFinder_OrderSpecs()` Returns the meta object for the containment reference '`Order Specs`'
`org.eclipse.emf.ecore.EClass` | `getMultiResFinder()` Returns the meta object for class '`Multi Res Finder`'
`org.eclipse.emf.ecore.EAttribute` | `getOrderSpec_Ascending()` Returns the meta object for the attribute '`Ascending`'
`org.eclipse.emf.ecore.EReference` | `getOrderSpec_Column()` Returns the meta object for the reference '`Column`'
`org.eclipse.emf.ecore.EReference` | `getOrderSpec_Qcolumn()` Returns the meta object for the reference '`Qcolumn`'
`org.eclipse.emf.ecore.EClass` | `getOrderSpec()` Returns the meta object for class '`Order Spec`'
`org.eclipse.emf.ecore.EReference` | `getOrderSpecs_Specs()` Returns the meta object for the containment reference list '`Specs`'
`org.eclipse.emf.ecore.EClass` | `getOrderSpecs()` Returns the meta object for class '`Order Specs`'
`org.eclipse.emf.ecore.EClass` | `getPKGenerator()` Returns the meta object for class '`PK Generator`'
`org.eclipse.emf.ecore.EClass` | `getQBEFinder()` Returns the meta object for class '`QBE Finder`'
`org.eclipse.emf.ecore.EReference` | `getQCalculatedColumn_CalculatedType()` Returns the meta object for the containment reference '`Calculated Type`'
`org.eclipse.emf.ecore.EAttribute` | `getQCalculatedColumn_FreeTextExpression()` Returns the meta object for the attribute '`Free Text Expression`'
`org.eclipse.emf.ecore.EReference` | `getQCalculatedColumn_ReferencedColumns()` Returns the meta object for the containment reference list '`Referenced Columns`'
`org.eclipse.emf.ecore.EClass` | `getQCalculatedColumn()` Returns the meta object for class '`QCalculated Column`'
`org.eclipse.emf.ecore.EAttribute` | `getQResultColumn_Alias()` Returns the meta object for the attribute '`Alias`'
`org.eclipse.emf.ecore.EClass` | `getQResultColumn()` Returns the meta object for class '`QResult Column`'
`org.eclipse.emf.ecore.EAttribute` | `getQTable_AliasName()` Returns the meta object for the attribute '`Alias Name`'
`org.eclipse.emf.ecore.EReference` | `getQTable_Table()` Returns the meta object for the reference '`Table`'
`org.eclipse.emf.ecore.EClass` | `getQTable()` Returns the meta object for class '`QTable`'
`org.eclipse.emf.ecore.EReference` | `getQTableColumn_Column()` Returns the meta object for the reference '`Column`'
`org.eclipse.emf.ecore.EReference` | `getQTableColumn_Qtable()` Returns the meta object for the reference '`Qtable`'
`org.eclipse.emf.ecore.EClass` | `getQTableColumn()` Returns the meta object for class '`QTable Column`'
`org.eclipse.emf.ecore.EReference` | `getQueryDef_FromClause()` Returns the meta object for the containment reference '`From Clause`'
`org.eclipse.emf.ecore.EReference` | `getQueryDef_JoinClause()` Returns the meta object for the containment reference '`Join Clause`'
`org.eclipse.emf.ecore.EReference` | `getQueryDef_SelectClause()` Returns the meta object for the containment reference '`Select Clause`'
`org.eclipse.emf.ecore.EReference` | `getQueryDef_WhereClause()` Returns the meta object for the containment reference '`Where Clause`'
`org.eclipse.emf.ecore.EClass` | `getQueryDef()` Returns the meta object for class '`Query Def`'
`org.eclipse.emf.ecore.EReference` | `getSelectClause_Columns()` Returns the meta object for the containment reference list '`Columns`'
`org.eclipse.emf.ecore.EClass` | `getSelectClause()` Returns the meta object for class '`Select Clause`'
`org.eclipse.emf.ecore.EAttribute` | `getSequencePKGenerator_SequenceName()` Returns the meta object for the attribute '`Sequence Name`'
`org.eclipse.emf.ecore.EClass` | `getSequencePKGenerator()` Returns the meta object for class '`Sequence PK Generator`'
`org.eclipse.emf.ecore.EClass` | `getSingleResFinder()` Returns the meta object for class '`Single Res Finder`'
`org.eclipse.emf.ecore.EReference` | `getUpdateColumns_Columns()` Returns the meta object for the reference list '`Columns`'
`org.eclipse.emf.ecore.EClass` | `getUpdateColumns()` Returns the meta object for class '`Update Columns`'
`org.eclipse.emf.ecore.EClass` | `getUpdater()` Returns the meta object for class '`Updater`'
`org.eclipse.emf.ecore.EClass` | `getUpdateRow()` Returns the meta object for class '`Update Row`'
`org.eclipse.emf.ecore.EReference` | `getUpdaters_Updaters()` Returns the meta object for the containment reference list '`Updaters`'
`org.eclipse.emf.ecore.EClass` | `getUpdaters()` Returns the meta object for class '`Updaters`'
`org.eclipse.emf.ecore.EAttribute` | `getWhereClause_FreetextExpression()` Returns the meta object for the attribute '`Freetext Expression`'
`org.eclipse.emf.ecore.EClass` | `getWhereClause()` Returns the meta object for class '`Where Clause`'

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final DatagenPackage eINSTANCE

  The singleton instance of the package.

### DB_ACCESS_MODEL

    static final int DB_ACCESS_MODEL

  The meta object id for the '`DB Access Model`' class.

  See Also:
    `DBAccessModelImpl`, `DatagenPackageImpl.getDBAccessModel()`, Constant Field Values

### DB_ACCESS_MODEL__SCHEMA

    static final int DB_ACCESS_MODEL__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### DB_ACCESS_MODEL__DAOPKGS

    static final int DB_ACCESS_MODEL__DAOPKGS

  The feature id for the 'Daopkgs' containment reference list.

  See Also:
    Constant Field Values

### DB_ACCESS_MODEL__COD_PRODOTTO

    static final int DB_ACCESS_MODEL__COD_PRODOTTO

  The feature id for the 'Cod Prodotto' attribute.

  See Also:
    Constant Field Values

### DB_ACCESS_MODEL__COD_COMPONENTE

    static final int DB_ACCESS_MODEL__COD_COMPONENTE

  The feature id for the 'Cod Componente' attribute.

  See Also:
    Constant Field Values

### DB_ACCESS_MODEL__NAME

    static final int DB_ACCESS_MODEL__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### DB_ACCESS_MODEL_FEATURE_COUNT

    static final int DB_ACCESS_MODEL_FEATURE_COUNT

  The number of structural features of the 'DB Access Model' class.

  See Also:
    Constant Field Values

### DATA_ACCESS_OBJECT

    static final int DATA_ACCESS_OBJECT

  The meta object id for the '`Data Access Object`' class.

  See Also:
    `DataAccessObjectImpl`, `DatagenPackageImpl.getDataAccessObject()`, Constant Field Values

### DATA_ACCESS_OBJECT__NAME

    static final int DATA_ACCESS_OBJECT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### DATA_ACCESS_OBJECT__MAIN_TABLE

    static final int DATA_ACCESS_OBJECT__MAIN_TABLE

  The feature id for the 'Main Table' reference.

  See Also:
    Constant Field Values

### DATA_ACCESS_OBJECT__PK_GENERATOR

    static final int DATA_ACCESS_OBJECT__PK_GENERATOR

  The feature id for the 'Pk Generator' containment reference.

  See Also:
    Constant Field Values

### DATA_ACCESS_OBJECT__INSERTER

    static final int DATA_ACCESS_OBJECT__INSERTER

  The feature id for the 'Inserter' containment reference.

  See Also:
    Constant Field Values

### DATA_ACCESS_OBJECT__FINDERS

    static final int DATA_ACCESS_OBJECT__FINDERS

  The feature id for the 'Finders' containment reference.

  See Also:
    Constant Field Values

### DATA_ACCESS_OBJECT__UPDATERS

    static final int DATA_ACCESS_OBJECT__UPDATERS

  The feature id for the 'Updaters' containment reference.

  See Also:
    Constant Field Values

### DATA_ACCESS_OBJECT__DELETERS

    static final int DATA_ACCESS_OBJECT__DELETERS

  The feature id for the 'Deleters' containment reference.

  See Also:
    Constant Field Values

### DATA_ACCESS_OBJECT__CACHEABILITY

    static final int DATA_ACCESS_OBJECT__CACHEABILITY

  The feature id for the 'Cacheability' attribute.

  See Also:
    Constant Field Values

### DATA_ACCESS_OBJECT__CACHE_TT_LMINUTES

    static final int DATA_ACCESS_OBJECT__CACHE_TT_LMINUTES

  The feature id for the 'Cache TT Lminutes' attribute.

  See Also:
    Constant Field Values

### DATA_ACCESS_OBJECT__LOOKUP_RESOLVERS

    static final int DATA_ACCESS_OBJECT__LOOKUP_RESOLVERS

  The feature id for the 'Lookup Resolvers' containment reference.

  See Also:
    Constant Field Values

### DATA_ACCESS_OBJECT_FEATURE_COUNT

    static final int DATA_ACCESS_OBJECT_FEATURE_COUNT

  The number of structural features of the 'Data Access Object' class.

  See Also:
    Constant Field Values

### DAO_PACKAGE

    static final int DAO_PACKAGE

  The meta object id for the '`Dao Package`' class.

  See Also:
    `DaoPackageImpl`, `DatagenPackageImpl.getDaoPackage()`, Constant Field Values

### DAO_PACKAGE__NAME

    static final int DAO_PACKAGE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### DAO_PACKAGE__DAO

    static final int DAO_PACKAGE__DAO

  The feature id for the 'Dao' containment reference list.

  See Also:
    Constant Field Values

### DAO_PACKAGE_FEATURE_COUNT

    static final int DAO_PACKAGE_FEATURE_COUNT

  The number of structural features of the 'Dao Package' class.

  See Also:
    Constant Field Values

### PK_GENERATOR

    static final int PK_GENERATOR

  The meta object id for the '`PK Generator`' class.

  See Also:
    `PKGeneratorImpl`, `DatagenPackageImpl.getPKGenerator()`, Constant Field Values

### PK_GENERATOR_FEATURE_COUNT

    static final int PK_GENERATOR_FEATURE_COUNT

  The number of structural features of the 'PK Generator' class.

  See Also:
    Constant Field Values

### SEQUENCE_PK_GENERATOR

    static final int SEQUENCE_PK_GENERATOR

  The meta object id for the '`Sequence PK Generator`' class.

  See Also:
    `SequencePKGeneratorImpl`, `DatagenPackageImpl.getSequencePKGenerator()`, Constant Field Values

### SEQUENCE_PK_GENERATOR__SEQUENCE_NAME

    static final int SEQUENCE_PK_GENERATOR__SEQUENCE_NAME

  The feature id for the 'Sequence Name' attribute.

  See Also:
    Constant Field Values

### SEQUENCE_PK_GENERATOR_FEATURE_COUNT

    static final int SEQUENCE_PK_GENERATOR_FEATURE_COUNT

  The number of structural features of the 'Sequence PK Generator' class.

  See Also:
    Constant Field Values

### DB_COMMAND

    static final int DB_COMMAND

  The meta object id for the '`DB Command`' class.

  See Also:
    `DBCommandImpl`, `DatagenPackageImpl.getDBCommand()`, Constant Field Values

### DB_COMMAND__NAME

    static final int DB_COMMAND__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### DB_COMMAND_FEATURE_COUNT

    static final int DB_COMMAND_FEATURE_COUNT

  The number of structural features of the 'DB Command' class.

  See Also:
    Constant Field Values

### INSERTER

    static final int INSERTER

  The meta object id for the '`Inserter`' class.

  See Also:
    `InserterImpl`, `DatagenPackageImpl.getInserter()`, Constant Field Values

### INSERTER__NAME

    static final int INSERTER__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### INSERTER_FEATURE_COUNT

    static final int INSERTER_FEATURE_COUNT

  The number of structural features of the 'Inserter' class.

  See Also:
    Constant Field Values

### FINDER

    static final int FINDER

  The meta object id for the '`Finder`' class.

  See Also:
    `FinderImpl`, `DatagenPackageImpl.getFinder()`, Constant Field Values

### FIND_BY_PK

    static final int FIND_BY_PK

  The meta object id for the '`Find By PK`' class.

  See Also:
    `FindByPKImpl`, `DatagenPackageImpl.getFindByPK()`, Constant Field Values

### FIND_ALL

    static final int FIND_ALL

  The meta object id for the '`Find All`' class.

  See Also:
    `FindAllImpl`, `DatagenPackageImpl.getFindAll()`, Constant Field Values

### QBE_FINDER

    static final int QBE_FINDER

  The meta object id for the '`QBE Finder`' class.

  See Also:
    `QBEFinderImpl`, `DatagenPackageImpl.getQBEFinder()`, Constant Field Values

### CUSTOM_FINDER

    static final int CUSTOM_FINDER

  The meta object id for the '`Custom Finder`' class.

  See Also:
    `CustomFinderImpl`, `DatagenPackageImpl.getCustomFinder()`, Constant Field Values

### UPDATERS

    static final int UPDATERS

  The meta object id for the '`Updaters`' class.

  See Also:
    `UpdatersImpl`, `DatagenPackageImpl.getUpdaters()`, Constant Field Values

### UPDATER

    static final int UPDATER

  The meta object id for the '`Updater`' class.

  See Also:
    `UpdaterImpl`, `DatagenPackageImpl.getUpdater()`, Constant Field Values

### UPDATE_ROW

    static final int UPDATE_ROW

  The meta object id for the '`Update Row`' class.

  See Also:
    `UpdateRowImpl`, `DatagenPackageImpl.getUpdateRow()`, Constant Field Values

### DELETERS

    static final int DELETERS

  The meta object id for the '`Deleters`' class.

  See Also:
    `DeletersImpl`, `DatagenPackageImpl.getDeleters()`, Constant Field Values

### DELETER

    static final int DELETER

  The meta object id for the '`Deleter`' class.

  See Also:
    `DeleterImpl`, `DatagenPackageImpl.getDeleter()`, Constant Field Values

### DELETE_BY_PK

    static final int DELETE_BY_PK

  The meta object id for the '`Delete By PK`' class.

  See Also:
    `DeleteByPKImpl`, `DatagenPackageImpl.getDeleteByPK()`, Constant Field Values

### FINDERS

    static final int FINDERS

  The meta object id for the '`Finders`' class.

  See Also:
    `FindersImpl`, `DatagenPackageImpl.getFinders()`, Constant Field Values

### FINDERS__FINDERS

    static final int FINDERS__FINDERS

  The feature id for the 'Finders' containment reference list.

  See Also:
    Constant Field Values

### FINDERS_FEATURE_COUNT

    static final int FINDERS_FEATURE_COUNT

  The number of structural features of the 'Finders' class.

  See Also:
    Constant Field Values

### FINDER__NAME

    static final int FINDER__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### FINDER_FEATURE_COUNT

    static final int FINDER_FEATURE_COUNT

  The number of structural features of the 'Finder' class.

  See Also:
    Constant Field Values

### SINGLE_RES_FINDER

    static final int SINGLE_RES_FINDER

  The meta object id for the '`Single Res Finder`' class.

  See Also:
    `SingleResFinderImpl`, `DatagenPackageImpl.getSingleResFinder()`, Constant Field Values

### SINGLE_RES_FINDER__NAME

    static final int SINGLE_RES_FINDER__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SINGLE_RES_FINDER_FEATURE_COUNT

    static final int SINGLE_RES_FINDER_FEATURE_COUNT

  The number of structural features of the 'Single Res Finder' class.

  See Also:
    Constant Field Values

### MULTI_RES_FINDER

    static final int MULTI_RES_FINDER

  The meta object id for the '`Multi Res Finder`' class.

  See Also:
    `MultiResFinderImpl`, `DatagenPackageImpl.getMultiResFinder()`, Constant Field Values

### MULTI_RES_FINDER__NAME

    static final int MULTI_RES_FINDER__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### MULTI_RES_FINDER__DISTINCT

    static final int MULTI_RES_FINDER__DISTINCT

  The feature id for the 'Distinct' reference list.

  See Also:
    Constant Field Values

### MULTI_RES_FINDER__ORDER_SPECS

    static final int MULTI_RES_FINDER__ORDER_SPECS

  The feature id for the 'Order Specs' containment reference.

  See Also:
    Constant Field Values

### MULTI_RES_FINDER_FEATURE_COUNT

    static final int MULTI_RES_FINDER_FEATURE_COUNT

  The number of structural features of the 'Multi Res Finder' class.

  See Also:
    Constant Field Values

### ORDER_SPEC

    static final int ORDER_SPEC

  The meta object id for the '`Order Spec`' class.

  See Also:
    `OrderSpecImpl`, `DatagenPackageImpl.getOrderSpec()`, Constant Field Values

### ORDER_SPEC__COLUMN

    static final int ORDER_SPEC__COLUMN

  The feature id for the 'Column' reference.

  See Also:
    Constant Field Values

### ORDER_SPEC__ASCENDING

    static final int ORDER_SPEC__ASCENDING

  The feature id for the 'Ascending' attribute.

  See Also:
    Constant Field Values

### ORDER_SPEC__QCOLUMN

    static final int ORDER_SPEC__QCOLUMN

  The feature id for the 'Qcolumn' reference.

  See Also:
    Constant Field Values

### ORDER_SPEC_FEATURE_COUNT

    static final int ORDER_SPEC_FEATURE_COUNT

  The number of structural features of the 'Order Spec' class.

  See Also:
    Constant Field Values

### ORDER_SPECS

    static final int ORDER_SPECS

  The meta object id for the '`Order Specs`' class.

  See Also:
    `OrderSpecsImpl`, `DatagenPackageImpl.getOrderSpecs()`, Constant Field Values

### ORDER_SPECS__SPECS

    static final int ORDER_SPECS__SPECS

  The feature id for the 'Specs' containment reference list.

  See Also:
    Constant Field Values

### ORDER_SPECS_FEATURE_COUNT

    static final int ORDER_SPECS_FEATURE_COUNT

  The number of structural features of the 'Order Specs' class.

  See Also:
    Constant Field Values

### FIND_BY_PK__NAME

    static final int FIND_BY_PK__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### FIND_BY_PK_FEATURE_COUNT

    static final int FIND_BY_PK_FEATURE_COUNT

  The number of structural features of the 'Find By PK' class.

  See Also:
    Constant Field Values

### FIND_ALL__NAME

    static final int FIND_ALL__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### FIND_ALL__DISTINCT

    static final int FIND_ALL__DISTINCT

  The feature id for the 'Distinct' reference list.

  See Also:
    Constant Field Values

### FIND_ALL__ORDER_SPECS

    static final int FIND_ALL__ORDER_SPECS

  The feature id for the 'Order Specs' containment reference.

  See Also:
    Constant Field Values

### FIND_ALL_FEATURE_COUNT

    static final int FIND_ALL_FEATURE_COUNT

  The number of structural features of the 'Find All' class.

  See Also:
    Constant Field Values

### QBE_FINDER__NAME

    static final int QBE_FINDER__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### QBE_FINDER__DISTINCT

    static final int QBE_FINDER__DISTINCT

  The feature id for the 'Distinct' reference list.

  See Also:
    Constant Field Values

### QBE_FINDER__ORDER_SPECS

    static final int QBE_FINDER__ORDER_SPECS

  The feature id for the 'Order Specs' containment reference.

  See Also:
    Constant Field Values

### QBE_FINDER_FEATURE_COUNT

    static final int QBE_FINDER_FEATURE_COUNT

  The number of structural features of the 'QBE Finder' class.

  See Also:
    Constant Field Values

### CUSTOM_FINDER__NAME

    static final int CUSTOM_FINDER__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### CUSTOM_FINDER__DISTINCT

    static final int CUSTOM_FINDER__DISTINCT

  The feature id for the 'Distinct' reference list.

  See Also:
    Constant Field Values

### CUSTOM_FINDER__ORDER_SPECS

    static final int CUSTOM_FINDER__ORDER_SPECS

  The feature id for the 'Order Specs' containment reference.

  See Also:
    Constant Field Values

### CUSTOM_FINDER__FILTER_CLASS_FQN

    static final int CUSTOM_FINDER__FILTER_CLASS_FQN

  The feature id for the 'Filter Class FQN' attribute.

  See Also:
    Constant Field Values

### CUSTOM_FINDER__CUSTOM_SELECT

    static final int CUSTOM_FINDER__CUSTOM_SELECT

  The feature id for the 'Custom Select' attribute.

  See Also:
    Constant Field Values

### CUSTOM_FINDER__CUSTOM_FROM

    static final int CUSTOM_FINDER__CUSTOM_FROM

  The feature id for the 'Custom From' attribute.

  See Also:
    Constant Field Values

### CUSTOM_FINDER__QUERY_DEFINITION

    static final int CUSTOM_FINDER__QUERY_DEFINITION

  The feature id for the 'Query Definition' containment reference.

  See Also:
    Constant Field Values

### CUSTOM_FINDER_FEATURE_COUNT

    static final int CUSTOM_FINDER_FEATURE_COUNT

  The number of structural features of the 'Custom Finder' class.

  See Also:
    Constant Field Values

### UPDATERS__UPDATERS

    static final int UPDATERS__UPDATERS

  The feature id for the 'Updaters' containment reference list.

  See Also:
    Constant Field Values

### UPDATERS_FEATURE_COUNT

    static final int UPDATERS_FEATURE_COUNT

  The number of structural features of the 'Updaters' class.

  See Also:
    Constant Field Values

### UPDATER__NAME

    static final int UPDATER__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### UPDATER_FEATURE_COUNT

    static final int UPDATER_FEATURE_COUNT

  The number of structural features of the 'Updater' class.

  See Also:
    Constant Field Values

### UPDATE_ROW__NAME

    static final int UPDATE_ROW__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### UPDATE_ROW_FEATURE_COUNT

    static final int UPDATE_ROW_FEATURE_COUNT

  The number of structural features of the 'Update Row' class.

  See Also:
    Constant Field Values

### UPDATE_COLUMNS

    static final int UPDATE_COLUMNS

  The meta object id for the '`Update Columns`' class.

  See Also:
    `UpdateColumnsImpl`, `DatagenPackageImpl.getUpdateColumns()`, Constant Field Values

### UPDATE_COLUMNS__NAME

    static final int UPDATE_COLUMNS__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### UPDATE_COLUMNS__COLUMNS

    static final int UPDATE_COLUMNS__COLUMNS

  The feature id for the 'Columns' reference list.

  See Also:
    Constant Field Values

### UPDATE_COLUMNS_FEATURE_COUNT

    static final int UPDATE_COLUMNS_FEATURE_COUNT

  The number of structural features of the 'Update Columns' class.

  See Also:
    Constant Field Values

### DELETERS__DELETERS

    static final int DELETERS__DELETERS

  The feature id for the 'Deleters' containment reference list.

  See Also:
    Constant Field Values

### DELETERS_FEATURE_COUNT

    static final int DELETERS_FEATURE_COUNT

  The number of structural features of the 'Deleters' class.

  See Also:
    Constant Field Values

### DELETER__NAME

    static final int DELETER__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### DELETER_FEATURE_COUNT

    static final int DELETER_FEATURE_COUNT

  The number of structural features of the 'Deleter' class.

  See Also:
    Constant Field Values

### DELETE_BY_PK__NAME

    static final int DELETE_BY_PK__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### DELETE_BY_PK_FEATURE_COUNT

    static final int DELETE_BY_PK_FEATURE_COUNT

  The number of structural features of the 'Delete By PK' class.

  See Also:
    Constant Field Values

### CUSTOM_UPDATER

    static final int CUSTOM_UPDATER

  The meta object id for the '`Custom Updater`' class.

  See Also:
    `CustomUpdaterImpl`, `DatagenPackageImpl.getCustomUpdater()`, Constant Field Values

### CUSTOM_UPDATER__NAME

    static final int CUSTOM_UPDATER__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### CUSTOM_UPDATER__FILTER_CLASS_FQN

    static final int CUSTOM_UPDATER__FILTER_CLASS_FQN

  The feature id for the 'Filter Class FQN' attribute.

  See Also:
    Constant Field Values

### CUSTOM_UPDATER__VALUE_CLASS_FQN

    static final int CUSTOM_UPDATER__VALUE_CLASS_FQN

  The feature id for the 'Value Class FQN' attribute.

  See Also:
    Constant Field Values

### CUSTOM_UPDATER_FEATURE_COUNT

    static final int CUSTOM_UPDATER_FEATURE_COUNT

  The number of structural features of the 'Custom Updater' class.

  See Also:
    Constant Field Values

### CUSTOM_DELETER

    static final int CUSTOM_DELETER

  The meta object id for the '`Custom Deleter`' class.

  See Also:
    `CustomDeleterImpl`, `DatagenPackageImpl.getCustomDeleter()`, Constant Field Values

### CUSTOM_DELETER__NAME

    static final int CUSTOM_DELETER__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### CUSTOM_DELETER__FILTER_CLASS_FQN

    static final int CUSTOM_DELETER__FILTER_CLASS_FQN

  The feature id for the 'Filter Class FQN' attribute.

  See Also:
    Constant Field Values

### CUSTOM_DELETER_FEATURE_COUNT

    static final int CUSTOM_DELETER_FEATURE_COUNT

  The number of structural features of the 'Custom Deleter' class.

  See Also:
    Constant Field Values

### LOOKUP_RESOLVERS

    static final int LOOKUP_RESOLVERS

  The meta object id for the '`Lookup Resolvers`' class.

  See Also:
    `LookupResolversImpl`, `DatagenPackageImpl.getLookupResolvers()`, Constant Field Values

### LOOKUP_RESOLVERS__RESOLVERS

    static final int LOOKUP_RESOLVERS__RESOLVERS

  The feature id for the 'Resolvers' containment reference list.

  See Also:
    Constant Field Values

### LOOKUP_RESOLVERS_FEATURE_COUNT

    static final int LOOKUP_RESOLVERS_FEATURE_COUNT

  The number of structural features of the 'Lookup Resolvers' class.

  See Also:
    Constant Field Values

### LOOKUP_RESOLVER

    static final int LOOKUP_RESOLVER

  The meta object id for the '`Lookup Resolver`' class.

  See Also:
    `LookupResolverImpl`, `DatagenPackageImpl.getLookupResolver()`, Constant Field Values

### LOOKUP_RESOLVER__FOREIGN_KEY

    static final int LOOKUP_RESOLVER__FOREIGN_KEY

  The feature id for the 'Foreign Key' reference.

  See Also:
    Constant Field Values

### LOOKUP_RESOLVER__SUPPLIER_DAO

    static final int LOOKUP_RESOLVER__SUPPLIER_DAO

  The feature id for the 'Supplier DAO' reference.

  See Also:
    Constant Field Values

### LOOKUP_RESOLVER__NAME

    static final int LOOKUP_RESOLVER__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### LOOKUP_RESOLVER_FEATURE_COUNT

    static final int LOOKUP_RESOLVER_FEATURE_COUNT

  The number of structural features of the 'Lookup Resolver' class.

  See Also:
    Constant Field Values

### QUERY_DEF

    static final int QUERY_DEF

  The meta object id for the '`Query Def`' class.

  See Also:
    `QueryDefImpl`, `DatagenPackageImpl.getQueryDef()`, Constant Field Values

### QUERY_DEF__SELECT_CLAUSE

    static final int QUERY_DEF__SELECT_CLAUSE

  The feature id for the 'Select Clause' containment reference.

  See Also:
    Constant Field Values

### QUERY_DEF__FROM_CLAUSE

    static final int QUERY_DEF__FROM_CLAUSE

  The feature id for the 'From Clause' containment reference.

  See Also:
    Constant Field Values

### QUERY_DEF__JOIN_CLAUSE

    static final int QUERY_DEF__JOIN_CLAUSE

  The feature id for the 'Join Clause' containment reference.

  See Also:
    Constant Field Values

### QUERY_DEF__WHERE_CLAUSE

    static final int QUERY_DEF__WHERE_CLAUSE

  The feature id for the 'Where Clause' containment reference.

  See Also:
    Constant Field Values

### QUERY_DEF_FEATURE_COUNT

    static final int QUERY_DEF_FEATURE_COUNT

  The number of structural features of the 'Query Def' class.

  See Also:
    Constant Field Values

### SELECT_CLAUSE

    static final int SELECT_CLAUSE

  The meta object id for the '`Select Clause`' class.

  See Also:
    `SelectClauseImpl`, `DatagenPackageImpl.getSelectClause()`, Constant Field Values

### SELECT_CLAUSE__COLUMNS

    static final int SELECT_CLAUSE__COLUMNS

  The feature id for the 'Columns' containment reference list.

  See Also:
    Constant Field Values

### SELECT_CLAUSE_FEATURE_COUNT

    static final int SELECT_CLAUSE_FEATURE_COUNT

  The number of structural features of the 'Select Clause' class.

  See Also:
    Constant Field Values

### QRESULT_COLUMN

    static final int QRESULT_COLUMN

  The meta object id for the '`QResult Column`' class.

  See Also:
    `QResultColumnImpl`, `DatagenPackageImpl.getQResultColumn()`, Constant Field Values

### QRESULT_COLUMN__ALIAS

    static final int QRESULT_COLUMN__ALIAS

  The feature id for the 'Alias' attribute.

  See Also:
    Constant Field Values

### QRESULT_COLUMN_FEATURE_COUNT

    static final int QRESULT_COLUMN_FEATURE_COUNT

  The number of structural features of the 'QResult Column' class.

  See Also:
    Constant Field Values

### QTABLE_COLUMN

    static final int QTABLE_COLUMN

  The meta object id for the '`QTable Column`' class.

  See Also:
    `QTableColumnImpl`, `DatagenPackageImpl.getQTableColumn()`, Constant Field Values

### QTABLE_COLUMN__ALIAS

    static final int QTABLE_COLUMN__ALIAS

  The feature id for the 'Alias' attribute.

  See Also:
    Constant Field Values

### QTABLE_COLUMN__QTABLE

    static final int QTABLE_COLUMN__QTABLE

  The feature id for the 'Qtable' reference.

  See Also:
    Constant Field Values

### QTABLE_COLUMN__COLUMN

    static final int QTABLE_COLUMN__COLUMN

  The feature id for the 'Column' reference.

  See Also:
    Constant Field Values

### QTABLE_COLUMN_FEATURE_COUNT

    static final int QTABLE_COLUMN_FEATURE_COUNT

  The number of structural features of the 'QTable Column' class.

  See Also:
    Constant Field Values

### QCALCULATED_COLUMN

    static final int QCALCULATED_COLUMN

  The meta object id for the '`QCalculated Column`' class.

  See Also:
    `QCalculatedColumnImpl`, `DatagenPackageImpl.getQCalculatedColumn()`, Constant Field Values

### QCALCULATED_COLUMN__ALIAS

    static final int QCALCULATED_COLUMN__ALIAS

  The feature id for the 'Alias' attribute.

  See Also:
    Constant Field Values

### QCALCULATED_COLUMN__REFERENCED_COLUMNS

    static final int QCALCULATED_COLUMN__REFERENCED_COLUMNS

  The feature id for the 'Referenced Columns' containment reference list.

  See Also:
    Constant Field Values

### QCALCULATED_COLUMN__FREE_TEXT_EXPRESSION

    static final int QCALCULATED_COLUMN__FREE_TEXT_EXPRESSION

  The feature id for the 'Free Text Expression' attribute.

  See Also:
    Constant Field Values

### QCALCULATED_COLUMN__CALCULATED_TYPE

    static final int QCALCULATED_COLUMN__CALCULATED_TYPE

  The feature id for the 'Calculated Type' containment reference.

  See Also:
    Constant Field Values

### QCALCULATED_COLUMN_FEATURE_COUNT

    static final int QCALCULATED_COLUMN_FEATURE_COUNT

  The number of structural features of the 'QCalculated Column' class.

  See Also:
    Constant Field Values

### FROM_CLAUSE

    static final int FROM_CLAUSE

  The meta object id for the '`From Clause`' class.

  See Also:
    `FromClauseImpl`, `DatagenPackageImpl.getFromClause()`, Constant Field Values

### FROM_CLAUSE__TABLES

    static final int FROM_CLAUSE__TABLES

  The feature id for the 'Tables' containment reference list.

  See Also:
    Constant Field Values

### FROM_CLAUSE_FEATURE_COUNT

    static final int FROM_CLAUSE_FEATURE_COUNT

  The number of structural features of the 'From Clause' class.

  See Also:
    Constant Field Values

### QTABLE

    static final int QTABLE

  The meta object id for the '`QTable`' class.

  See Also:
    `QTableImpl`, `DatagenPackageImpl.getQTable()`, Constant Field Values

### QTABLE__TABLE

    static final int QTABLE__TABLE

  The feature id for the 'Table' reference.

  See Also:
    Constant Field Values

### QTABLE__ALIAS_NAME

    static final int QTABLE__ALIAS_NAME

  The feature id for the 'Alias Name' attribute.

  See Also:
    Constant Field Values

### QTABLE_FEATURE_COUNT

    static final int QTABLE_FEATURE_COUNT

  The number of structural features of the 'QTable' class.

  See Also:
    Constant Field Values

### JOIN_CLAUSE

    static final int JOIN_CLAUSE

  The meta object id for the '`Join Clause`' class.

  See Also:
    `JoinClauseImpl`, `DatagenPackageImpl.getJoinClause()`, Constant Field Values

### JOIN_CLAUSE__CRITERIA

    static final int JOIN_CLAUSE__CRITERIA

  The feature id for the 'Criteria' containment reference list.

  See Also:
    Constant Field Values

### JOIN_CLAUSE_FEATURE_COUNT

    static final int JOIN_CLAUSE_FEATURE_COUNT

  The number of structural features of the 'Join Clause' class.

  See Also:
    Constant Field Values

### JOIN_CRITERION

    static final int JOIN_CRITERION

  The meta object id for the '`Join Criterion`' class.

  See Also:
    `JoinCriterionImpl`, `DatagenPackageImpl.getJoinCriterion()`, Constant Field Values

### JOIN_CRITERION__LEFT_TABLE

    static final int JOIN_CRITERION__LEFT_TABLE

  The feature id for the 'Left Table' reference.

  See Also:
    Constant Field Values

### JOIN_CRITERION__LEFT_COLUMN

    static final int JOIN_CRITERION__LEFT_COLUMN

  The feature id for the 'Left Column' reference.

  See Also:
    Constant Field Values

### JOIN_CRITERION__RIGHT_TABLE

    static final int JOIN_CRITERION__RIGHT_TABLE

  The feature id for the 'Right Table' reference.

  See Also:
    Constant Field Values

### JOIN_CRITERION__RIGHT_COLUMN

    static final int JOIN_CRITERION__RIGHT_COLUMN

  The feature id for the 'Right Column' reference.

  See Also:
    Constant Field Values

### JOIN_CRITERION_FEATURE_COUNT

    static final int JOIN_CRITERION_FEATURE_COUNT

  The number of structural features of the 'Join Criterion' class.

  See Also:
    Constant Field Values

### WHERE_CLAUSE

    static final int WHERE_CLAUSE

  The meta object id for the '`Where Clause`' class.

  See Also:
    `WhereClauseImpl`, `DatagenPackageImpl.getWhereClause()`, Constant Field Values

### WHERE_CLAUSE__FREETEXT_EXPRESSION

    static final int WHERE_CLAUSE__FREETEXT_EXPRESSION

  The feature id for the 'Freetext Expression' attribute.

  See Also:
    Constant Field Values

### WHERE_CLAUSE_FEATURE_COUNT

    static final int WHERE_CLAUSE_FEATURE_COUNT

  The number of structural features of the 'Where Clause' class.

  See Also:
    Constant Field Values

### CACHEABILITY_TYPES

    static final int CACHEABILITY_TYPES

  The meta object id for the '`Cacheability Types`' enum.

  See Also:
    `CacheabilityTypes`, `DatagenPackageImpl.getCacheabilityTypes()`, Constant Field Values

Method Detail

### getDBAccessModel

    org.eclipse.emf.ecore.EClass getDBAccessModel()

  Returns the meta object for class '`DB Access Model`'.

  Returns:
    the meta object for class 'DB Access Model'.
  See Also:
    `DBAccessModel`

### getDBAccessModel_Schema

    org.eclipse.emf.ecore.EReference getDBAccessModel_Schema()

  Returns the meta object for the reference '`Schema`'.

  Returns:
    the meta object for the reference 'Schema'.
  See Also:
    `DBAccessModel.getSchema()`, `getDBAccessModel()`

### getDBAccessModel_Daopkgs

    org.eclipse.emf.ecore.EReference getDBAccessModel_Daopkgs()

  Returns the meta object for the containment reference list '`Daopkgs`'.

  Returns:
    the meta object for the containment reference list 'Daopkgs'.
  See Also:
    `DBAccessModel.getDaopkgs()`, `getDBAccessModel()`

### getDBAccessModel_CodProdotto

    org.eclipse.emf.ecore.EAttribute getDBAccessModel_CodProdotto()

  Returns the meta object for the attribute '`Cod Prodotto`'.

  Returns:
    the meta object for the attribute 'Cod Prodotto'.
  See Also:
    `DBAccessModel.getCodProdotto()`, `getDBAccessModel()`

### getDBAccessModel_CodComponente

    org.eclipse.emf.ecore.EAttribute getDBAccessModel_CodComponente()

  Returns the meta object for the attribute '`Cod Componente`'.

  Returns:
    the meta object for the attribute 'Cod Componente'.
  See Also:
    `DBAccessModel.getCodComponente()`, `getDBAccessModel()`

### getDBAccessModel_Name

    org.eclipse.emf.ecore.EAttribute getDBAccessModel_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `DBAccessModel.getName()`, `getDBAccessModel()`

### getDataAccessObject

    org.eclipse.emf.ecore.EClass getDataAccessObject()

  Returns the meta object for class '`Data Access Object`'.

  Returns:
    the meta object for class 'Data Access Object'.
  See Also:
    `DataAccessObject`

### getDataAccessObject_Name

    org.eclipse.emf.ecore.EAttribute getDataAccessObject_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `DataAccessObject.getName()`, `getDataAccessObject()`

### getDataAccessObject_MainTable

    org.eclipse.emf.ecore.EReference getDataAccessObject_MainTable()

  Returns the meta object for the reference '`Main Table`'.

  Returns:
    the meta object for the reference 'Main Table'.
  See Also:
    `DataAccessObject.getMainTable()`, `getDataAccessObject()`

### getDataAccessObject_PkGenerator

    org.eclipse.emf.ecore.EReference getDataAccessObject_PkGenerator()

  Returns the meta object for the containment reference '`Pk Generator`'.

  Returns:
    the meta object for the containment reference 'Pk Generator'.
  See Also:
    `DataAccessObject.getPkGenerator()`, `getDataAccessObject()`

### getDataAccessObject_Inserter

    org.eclipse.emf.ecore.EReference getDataAccessObject_Inserter()

  Returns the meta object for the containment reference '`Inserter`'.

  Returns:
    the meta object for the containment reference 'Inserter'.
  See Also:
    `DataAccessObject.getInserter()`, `getDataAccessObject()`

### getDataAccessObject_Finders

    org.eclipse.emf.ecore.EReference getDataAccessObject_Finders()

  Returns the meta object for the containment reference '`Finders`'.

  Returns:
    the meta object for the containment reference 'Finders'.
  See Also:
    `DataAccessObject.getFinders()`, `getDataAccessObject()`

### getDataAccessObject_Updaters

    org.eclipse.emf.ecore.EReference getDataAccessObject_Updaters()

  Returns the meta object for the containment reference '`Updaters`'.

  Returns:
    the meta object for the containment reference 'Updaters'.
  See Also:
    `DataAccessObject.getUpdaters()`, `getDataAccessObject()`

### getDataAccessObject_Deleters

    org.eclipse.emf.ecore.EReference getDataAccessObject_Deleters()

  Returns the meta object for the containment reference '`Deleters`'.

  Returns:
    the meta object for the containment reference 'Deleters'.
  See Also:
    `DataAccessObject.getDeleters()`, `getDataAccessObject()`

### getDataAccessObject_Cacheability

    org.eclipse.emf.ecore.EAttribute getDataAccessObject_Cacheability()

  Returns the meta object for the attribute '`Cacheability`'.

  Returns:
    the meta object for the attribute 'Cacheability'.
  See Also:
    `DataAccessObject.getCacheability()`, `getDataAccessObject()`

### getDataAccessObject_CacheTTLminutes

    org.eclipse.emf.ecore.EAttribute getDataAccessObject_CacheTTLminutes()

  Returns the meta object for the attribute '`Cache TT Lminutes`'.

  Returns:
    the meta object for the attribute 'Cache TT Lminutes'.
  See Also:
    `DataAccessObject.getCacheTTLminutes()`, `getDataAccessObject()`

### getDataAccessObject_LookupResolvers

    org.eclipse.emf.ecore.EReference getDataAccessObject_LookupResolvers()

  Returns the meta object for the containment reference '`Lookup Resolvers`'.

  Returns:
    the meta object for the containment reference 'Lookup Resolvers'.
  See Also:
    `DataAccessObject.getLookupResolvers()`, `getDataAccessObject()`

### getDaoPackage

    org.eclipse.emf.ecore.EClass getDaoPackage()

  Returns the meta object for class '`Dao Package`'.

  Returns:
    the meta object for class 'Dao Package'.
  See Also:
    `DaoPackage`

### getDaoPackage_Name

    org.eclipse.emf.ecore.EAttribute getDaoPackage_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `DaoPackage.getName()`, `getDaoPackage()`

### getDaoPackage_Dao

    org.eclipse.emf.ecore.EReference getDaoPackage_Dao()

  Returns the meta object for the containment reference list '`Dao`'.

  Returns:
    the meta object for the containment reference list 'Dao'.
  See Also:
    `DaoPackage.getDao()`, `getDaoPackage()`

### getPKGenerator

    org.eclipse.emf.ecore.EClass getPKGenerator()

  Returns the meta object for class '`PK Generator`'.

  Returns:
    the meta object for class 'PK Generator'.
  See Also:
    `PKGenerator`

### getSequencePKGenerator

    org.eclipse.emf.ecore.EClass getSequencePKGenerator()

  Returns the meta object for class '`Sequence PK Generator`'.

  Returns:
    the meta object for class 'Sequence PK Generator'.
  See Also:
    `SequencePKGenerator`

### getSequencePKGenerator_SequenceName

    org.eclipse.emf.ecore.EAttribute getSequencePKGenerator_SequenceName()

  Returns the meta object for the attribute '`Sequence Name`'.

  Returns:
    the meta object for the attribute 'Sequence Name'.
  See Also:
    `SequencePKGenerator.getSequenceName()`, `getSequencePKGenerator()`

### getDBCommand

    org.eclipse.emf.ecore.EClass getDBCommand()

  Returns the meta object for class '`DB Command`'.

  Returns:
    the meta object for class 'DB Command'.
  See Also:
    `DBCommand`

### getDBCommand_Name

    org.eclipse.emf.ecore.EAttribute getDBCommand_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `DBCommand.getName()`, `getDBCommand()`

### getInserter

    org.eclipse.emf.ecore.EClass getInserter()

  Returns the meta object for class '`Inserter`'.

  Returns:
    the meta object for class 'Inserter'.
  See Also:
    `Inserter`

### getFinder

    org.eclipse.emf.ecore.EClass getFinder()

  Returns the meta object for class '`Finder`'.

  Returns:
    the meta object for class 'Finder'.
  See Also:
    `Finder`

### getSingleResFinder

    org.eclipse.emf.ecore.EClass getSingleResFinder()

  Returns the meta object for class '`Single Res Finder`'.

  Returns:
    the meta object for class 'Single Res Finder'.
  See Also:
    `SingleResFinder`

### getMultiResFinder

    org.eclipse.emf.ecore.EClass getMultiResFinder()

  Returns the meta object for class '`Multi Res Finder`'.

  Returns:
    the meta object for class 'Multi Res Finder'.
  See Also:
    `MultiResFinder`

### getMultiResFinder_Distinct

    org.eclipse.emf.ecore.EReference getMultiResFinder_Distinct()

  Returns the meta object for the reference list '`Distinct`'.

  Returns:
    the meta object for the reference list 'Distinct'.
  See Also:
    `MultiResFinder.getDistinct()`, `getMultiResFinder()`

### getMultiResFinder_OrderSpecs

    org.eclipse.emf.ecore.EReference getMultiResFinder_OrderSpecs()

  Returns the meta object for the containment reference '`Order Specs`'.

  Returns:
    the meta object for the containment reference 'Order Specs'.
  See Also:
    `MultiResFinder.getOrderSpecs()`, `getMultiResFinder()`

### getOrderSpec

    org.eclipse.emf.ecore.EClass getOrderSpec()

  Returns the meta object for class '`Order Spec`'.

  Returns:
    the meta object for class 'Order Spec'.
  See Also:
    `OrderSpec`

### getOrderSpec_Column

    org.eclipse.emf.ecore.EReference getOrderSpec_Column()

  Returns the meta object for the reference '`Column`'.

  Returns:
    the meta object for the reference 'Column'.
  See Also:
    `OrderSpec.getColumn()`, `getOrderSpec()`

### getOrderSpec_Ascending

    org.eclipse.emf.ecore.EAttribute getOrderSpec_Ascending()

  Returns the meta object for the attribute '`Ascending`'.

  Returns:
    the meta object for the attribute 'Ascending'.
  See Also:
    `OrderSpec.isAscending()`, `getOrderSpec()`

### getOrderSpec_Qcolumn

    org.eclipse.emf.ecore.EReference getOrderSpec_Qcolumn()

  Returns the meta object for the reference '`Qcolumn`'.

  Returns:
    the meta object for the reference 'Qcolumn'.
  See Also:
    `OrderSpec.getQcolumn()`, `getOrderSpec()`

### getOrderSpecs

    org.eclipse.emf.ecore.EClass getOrderSpecs()

  Returns the meta object for class '`Order Specs`'.

  Returns:
    the meta object for class 'Order Specs'.
  See Also:
    `OrderSpecs`

### getOrderSpecs_Specs

    org.eclipse.emf.ecore.EReference getOrderSpecs_Specs()

  Returns the meta object for the containment reference list '`Specs`'.

  Returns:
    the meta object for the containment reference list 'Specs'.
  See Also:
    `OrderSpecs.getSpecs()`, `getOrderSpecs()`

### getFindByPK

    org.eclipse.emf.ecore.EClass getFindByPK()

  Returns the meta object for class '`Find By PK`'.

  Returns:
    the meta object for class 'Find By PK'.
  See Also:
    `FindByPK`

### getFindAll

    org.eclipse.emf.ecore.EClass getFindAll()

  Returns the meta object for class '`Find All`'.

  Returns:
    the meta object for class 'Find All'.
  See Also:
    `FindAll`

### getQBEFinder

    org.eclipse.emf.ecore.EClass getQBEFinder()

  Returns the meta object for class '`QBE Finder`'.

  Returns:
    the meta object for class 'QBE Finder'.
  See Also:
    `QBEFinder`

### getCustomFinder

    org.eclipse.emf.ecore.EClass getCustomFinder()

  Returns the meta object for class '`Custom Finder`'.

  Returns:
    the meta object for class 'Custom Finder'.
  See Also:
    `CustomFinder`

### getCustomFinder_FilterClassFQN

    org.eclipse.emf.ecore.EAttribute getCustomFinder_FilterClassFQN()

  Returns the meta object for the attribute '`Filter Class FQN`'.

  Returns:
    the meta object for the attribute 'Filter Class FQN'.
  See Also:
    `CustomFinder.getFilterClassFQN()`, `getCustomFinder()`

### getCustomFinder_CustomSelect

    org.eclipse.emf.ecore.EAttribute getCustomFinder_CustomSelect()

  Returns the meta object for the attribute '`Custom Select`'.

  Returns:
    the meta object for the attribute 'Custom Select'.
  See Also:
    `CustomFinder.isCustomSelect()`, `getCustomFinder()`

### getCustomFinder_CustomFrom

    org.eclipse.emf.ecore.EAttribute getCustomFinder_CustomFrom()

  Returns the meta object for the attribute '`Custom From`'.

  Returns:
    the meta object for the attribute 'Custom From'.
  See Also:
    `CustomFinder.isCustomFrom()`, `getCustomFinder()`

### getCustomFinder_QueryDefinition

    org.eclipse.emf.ecore.EReference getCustomFinder_QueryDefinition()

  Returns the meta object for the containment reference '`Query Definition`'.

  Returns:
    the meta object for the containment reference 'Query Definition'.
  See Also:
    `CustomFinder.getQueryDefinition()`, `getCustomFinder()`

### getUpdaters

    org.eclipse.emf.ecore.EClass getUpdaters()

  Returns the meta object for class '`Updaters`'.

  Returns:
    the meta object for class 'Updaters'.
  See Also:
    `Updaters`

### getUpdaters_Updaters

    org.eclipse.emf.ecore.EReference getUpdaters_Updaters()

  Returns the meta object for the containment reference list '`Updaters`'.

  Returns:
    the meta object for the containment reference list 'Updaters'.
  See Also:
    `Updaters.getUpdaters()`, `getUpdaters()`

### getUpdater

    org.eclipse.emf.ecore.EClass getUpdater()

  Returns the meta object for class '`Updater`'.

  Returns:
    the meta object for class 'Updater'.
  See Also:
    `Updater`

### getUpdateRow

    org.eclipse.emf.ecore.EClass getUpdateRow()

  Returns the meta object for class '`Update Row`'.

  Returns:
    the meta object for class 'Update Row'.
  See Also:
    `UpdateRow`

### getUpdateColumns

    org.eclipse.emf.ecore.EClass getUpdateColumns()

  Returns the meta object for class '`Update Columns`'.

  Returns:
    the meta object for class 'Update Columns'.
  See Also:
    `UpdateColumns`

### getUpdateColumns_Columns

    org.eclipse.emf.ecore.EReference getUpdateColumns_Columns()

  Returns the meta object for the reference list '`Columns`'.

  Returns:
    the meta object for the reference list 'Columns'.
  See Also:
    `UpdateColumns.getColumns()`, `getUpdateColumns()`

### getDeleters

    org.eclipse.emf.ecore.EClass getDeleters()

  Returns the meta object for class '`Deleters`'.

  Returns:
    the meta object for class 'Deleters'.
  See Also:
    `Deleters`

### getDeleters_Deleters

    org.eclipse.emf.ecore.EReference getDeleters_Deleters()

  Returns the meta object for the containment reference list '`Deleters`'.

  Returns:
    the meta object for the containment reference list 'Deleters'.
  See Also:
    `Deleters.getDeleters()`, `getDeleters()`

### getDeleter

    org.eclipse.emf.ecore.EClass getDeleter()

  Returns the meta object for class '`Deleter`'.

  Returns:
    the meta object for class 'Deleter'.
  See Also:
    `Deleter`

### getDeleteByPK

    org.eclipse.emf.ecore.EClass getDeleteByPK()

  Returns the meta object for class '`Delete By PK`'.

  Returns:
    the meta object for class 'Delete By PK'.
  See Also:
    `DeleteByPK`

### getCustomUpdater

    org.eclipse.emf.ecore.EClass getCustomUpdater()

  Returns the meta object for class '`Custom Updater`'.

  Returns:
    the meta object for class 'Custom Updater'.
  See Also:
    `CustomUpdater`

### getCustomUpdater_FilterClassFQN

    org.eclipse.emf.ecore.EAttribute getCustomUpdater_FilterClassFQN()

  Returns the meta object for the attribute '`Filter Class FQN`'.

  Returns:
    the meta object for the attribute 'Filter Class FQN'.
  See Also:
    `CustomUpdater.getFilterClassFQN()`, `getCustomUpdater()`

### getCustomUpdater_ValueClassFQN

    org.eclipse.emf.ecore.EAttribute getCustomUpdater_ValueClassFQN()

  Returns the meta object for the attribute '`Value Class FQN`'.

  Returns:
    the meta object for the attribute 'Value Class FQN'.
  See Also:
    `CustomUpdater.getValueClassFQN()`, `getCustomUpdater()`

### getCustomDeleter

    org.eclipse.emf.ecore.EClass getCustomDeleter()

  Returns the meta object for class '`Custom Deleter`'.

  Returns:
    the meta object for class 'Custom Deleter'.
  See Also:
    `CustomDeleter`

### getCustomDeleter_FilterClassFQN

    org.eclipse.emf.ecore.EAttribute getCustomDeleter_FilterClassFQN()

  Returns the meta object for the attribute '`Filter Class FQN`'.

  Returns:
    the meta object for the attribute 'Filter Class FQN'.
  See Also:
    `CustomDeleter.getFilterClassFQN()`, `getCustomDeleter()`

### getLookupResolvers

    org.eclipse.emf.ecore.EClass getLookupResolvers()

  Returns the meta object for class '`Lookup Resolvers`'.

  Returns:
    the meta object for class 'Lookup Resolvers'.
  See Also:
    `LookupResolvers`

### getLookupResolvers_Resolvers

    org.eclipse.emf.ecore.EReference getLookupResolvers_Resolvers()

  Returns the meta object for the containment reference list '`Resolvers`'.

  Returns:
    the meta object for the containment reference list 'Resolvers'.
  See Also:
    `LookupResolvers.getResolvers()`, `getLookupResolvers()`

### getLookupResolver

    org.eclipse.emf.ecore.EClass getLookupResolver()

  Returns the meta object for class '`Lookup Resolver`'.

  Returns:
    the meta object for class 'Lookup Resolver'.
  See Also:
    `LookupResolver`

### getLookupResolver_ForeignKey

    org.eclipse.emf.ecore.EReference getLookupResolver_ForeignKey()

  Returns the meta object for the reference '`Foreign Key`'.

  Returns:
    the meta object for the reference 'Foreign Key'.
  See Also:
    `LookupResolver.getForeignKey()`, `getLookupResolver()`

### getLookupResolver_SupplierDAO

    org.eclipse.emf.ecore.EReference getLookupResolver_SupplierDAO()

  Returns the meta object for the reference '`Supplier DAO`'.

  Returns:
    the meta object for the reference 'Supplier DAO'.
  See Also:
    `LookupResolver.getSupplierDAO()`, `getLookupResolver()`

### getLookupResolver_Name

    org.eclipse.emf.ecore.EAttribute getLookupResolver_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `LookupResolver.getName()`, `getLookupResolver()`

### getQueryDef

    org.eclipse.emf.ecore.EClass getQueryDef()

  Returns the meta object for class '`Query Def`'.

  Returns:
    the meta object for class 'Query Def'.
  See Also:
    `QueryDef`

### getQueryDef_SelectClause

    org.eclipse.emf.ecore.EReference getQueryDef_SelectClause()

  Returns the meta object for the containment reference '`Select Clause`'.

  Returns:
    the meta object for the containment reference 'Select Clause'.
  See Also:
    `QueryDef.getSelectClause()`, `getQueryDef()`

### getQueryDef_FromClause

    org.eclipse.emf.ecore.EReference getQueryDef_FromClause()

  Returns the meta object for the containment reference '`From Clause`'.

  Returns:
    the meta object for the containment reference 'From Clause'.
  See Also:
    `QueryDef.getFromClause()`, `getQueryDef()`

### getQueryDef_JoinClause

    org.eclipse.emf.ecore.EReference getQueryDef_JoinClause()

  Returns the meta object for the containment reference '`Join Clause`'.

  Returns:
    the meta object for the containment reference 'Join Clause'.
  See Also:
    `QueryDef.getJoinClause()`, `getQueryDef()`

### getQueryDef_WhereClause

    org.eclipse.emf.ecore.EReference getQueryDef_WhereClause()

  Returns the meta object for the containment reference '`Where Clause`'.

  Returns:
    the meta object for the containment reference 'Where Clause'.
  See Also:
    `QueryDef.getWhereClause()`, `getQueryDef()`

### getSelectClause

    org.eclipse.emf.ecore.EClass getSelectClause()

  Returns the meta object for class '`Select Clause`'.

  Returns:
    the meta object for class 'Select Clause'.
  See Also:
    `SelectClause`

### getSelectClause_Columns

    org.eclipse.emf.ecore.EReference getSelectClause_Columns()

  Returns the meta object for the containment reference list '`Columns`'.

  Returns:
    the meta object for the containment reference list 'Columns'.
  See Also:
    `SelectClause.getColumns()`, `getSelectClause()`

### getQResultColumn

    org.eclipse.emf.ecore.EClass getQResultColumn()

  Returns the meta object for class '`QResult Column`'.

  Returns:
    the meta object for class 'QResult Column'.
  See Also:
    `QResultColumn`

### getQResultColumn_Alias

    org.eclipse.emf.ecore.EAttribute getQResultColumn_Alias()

  Returns the meta object for the attribute '`Alias`'.

  Returns:
    the meta object for the attribute 'Alias'.
  See Also:
    `QResultColumn.getAlias()`, `getQResultColumn()`

### getQTableColumn

    org.eclipse.emf.ecore.EClass getQTableColumn()

  Returns the meta object for class '`QTable Column`'.

  Returns:
    the meta object for class 'QTable Column'.
  See Also:
    `QTableColumn`

### getQTableColumn_Qtable

    org.eclipse.emf.ecore.EReference getQTableColumn_Qtable()

  Returns the meta object for the reference '`Qtable`'.

  Returns:
    the meta object for the reference 'Qtable'.
  See Also:
    `QTableColumn.getQtable()`, `getQTableColumn()`

### getQTableColumn_Column

    org.eclipse.emf.ecore.EReference getQTableColumn_Column()

  Returns the meta object for the reference '`Column`'.

  Returns:
    the meta object for the reference 'Column'.
  See Also:
    `QTableColumn.getColumn()`, `getQTableColumn()`

### getQCalculatedColumn

    org.eclipse.emf.ecore.EClass getQCalculatedColumn()

  Returns the meta object for class '`QCalculated Column`'.

  Returns:
    the meta object for class 'QCalculated Column'.
  See Also:
    `QCalculatedColumn`

### getQCalculatedColumn_ReferencedColumns

    org.eclipse.emf.ecore.EReference getQCalculatedColumn_ReferencedColumns()

  Returns the meta object for the containment reference list '`Referenced Columns`'.

  Returns:
    the meta object for the containment reference list 'Referenced Columns'.
  See Also:
    `QCalculatedColumn.getReferencedColumns()`, `getQCalculatedColumn()`

### getQCalculatedColumn_FreeTextExpression

    org.eclipse.emf.ecore.EAttribute getQCalculatedColumn_FreeTextExpression()

  Returns the meta object for the attribute '`Free Text Expression`'.

  Returns:
    the meta object for the attribute 'Free Text Expression'.
  See Also:
    `QCalculatedColumn.getFreeTextExpression()`, `getQCalculatedColumn()`

### getQCalculatedColumn_CalculatedType

    org.eclipse.emf.ecore.EReference getQCalculatedColumn_CalculatedType()

  Returns the meta object for the containment reference '`Calculated Type`'.

  Returns:
    the meta object for the containment reference 'Calculated Type'.
  See Also:
    `QCalculatedColumn.getCalculatedType()`, `getQCalculatedColumn()`

### getFromClause

    org.eclipse.emf.ecore.EClass getFromClause()

  Returns the meta object for class '`From Clause`'.

  Returns:
    the meta object for class 'From Clause'.
  See Also:
    `FromClause`

### getFromClause_Tables

    org.eclipse.emf.ecore.EReference getFromClause_Tables()

  Returns the meta object for the containment reference list '`Tables`'.

  Returns:
    the meta object for the containment reference list 'Tables'.
  See Also:
    `FromClause.getTables()`, `getFromClause()`

### getQTable

    org.eclipse.emf.ecore.EClass getQTable()

  Returns the meta object for class '`QTable`'.

  Returns:
    the meta object for class 'QTable'.
  See Also:
    `QTable`

### getQTable_Table

    org.eclipse.emf.ecore.EReference getQTable_Table()

  Returns the meta object for the reference '`Table`'.

  Returns:
    the meta object for the reference 'Table'.
  See Also:
    `QTable.getTable()`, `getQTable()`

### getQTable_AliasName

    org.eclipse.emf.ecore.EAttribute getQTable_AliasName()

  Returns the meta object for the attribute '`Alias Name`'.

  Returns:
    the meta object for the attribute 'Alias Name'.
  See Also:
    `QTable.getAliasName()`, `getQTable()`

### getJoinClause

    org.eclipse.emf.ecore.EClass getJoinClause()

  Returns the meta object for class '`Join Clause`'.

  Returns:
    the meta object for class 'Join Clause'.
  See Also:
    `JoinClause`

### getJoinClause_Criteria

    org.eclipse.emf.ecore.EReference getJoinClause_Criteria()

  Returns the meta object for the containment reference list '`Criteria`'.

  Returns:
    the meta object for the containment reference list 'Criteria'.
  See Also:
    `JoinClause.getCriteria()`, `getJoinClause()`

### getJoinCriterion

    org.eclipse.emf.ecore.EClass getJoinCriterion()

  Returns the meta object for class '`Join Criterion`'.

  Returns:
    the meta object for class 'Join Criterion'.
  See Also:
    `JoinCriterion`

### getJoinCriterion_LeftTable

    org.eclipse.emf.ecore.EReference getJoinCriterion_LeftTable()

  Returns the meta object for the reference '`Left Table`'.

  Returns:
    the meta object for the reference 'Left Table'.
  See Also:
    `JoinCriterion.getLeftTable()`, `getJoinCriterion()`

### getJoinCriterion_LeftColumn

    org.eclipse.emf.ecore.EReference getJoinCriterion_LeftColumn()

  Returns the meta object for the reference '`Left Column`'.

  Returns:
    the meta object for the reference 'Left Column'.
  See Also:
    `JoinCriterion.getLeftColumn()`, `getJoinCriterion()`

### getJoinCriterion_RightTable

    org.eclipse.emf.ecore.EReference getJoinCriterion_RightTable()

  Returns the meta object for the reference '`Right Table`'.

  Returns:
    the meta object for the reference 'Right Table'.
  See Also:
    `JoinCriterion.getRightTable()`, `getJoinCriterion()`

### getJoinCriterion_RightColumn

    org.eclipse.emf.ecore.EReference getJoinCriterion_RightColumn()

  Returns the meta object for the reference '`Right Column`'.

  Returns:
    the meta object for the reference 'Right Column'.
  See Also:
    `JoinCriterion.getRightColumn()`, `getJoinCriterion()`

### getWhereClause

    org.eclipse.emf.ecore.EClass getWhereClause()

  Returns the meta object for class '`Where Clause`'.

  Returns:
    the meta object for class 'Where Clause'.
  See Also:
    `WhereClause`

### getWhereClause_FreetextExpression

    org.eclipse.emf.ecore.EAttribute getWhereClause_FreetextExpression()

  Returns the meta object for the attribute '`Freetext Expression`'.

  Returns:
    the meta object for the attribute 'Freetext Expression'.
  See Also:
    `WhereClause.getFreetextExpression()`, `getWhereClause()`

### getCacheabilityTypes

    org.eclipse.emf.ecore.EEnum getCacheabilityTypes()

  Returns the meta object for enum '`Cacheability Types`'.

  Returns:
    the meta object for enum 'Cacheability Types'.
  See Also:
    `CacheabilityTypes`

### getFinders

    org.eclipse.emf.ecore.EClass getFinders()

  Returns the meta object for class '`Finders`'.

  Returns:
    the meta object for class 'Finders'.
  See Also:
    `Finders`

### getFinders_Finders

    org.eclipse.emf.ecore.EReference getFinders_Finders()

  Returns the meta object for the containment reference list '`Finders`'.

  Returns:
    the meta object for the containment reference list 'Finders'.
  See Also:
    `Finders.getFinders()`, `getFinders()`

### getDatagenFactory

    DatagenFactory getDatagenFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD